package com.hzya.frame.nifilog.dao;

import com.github.pagehelper.PageInfo;
import com.hzya.frame.nifilog.entity.LoggingEvent20250430Entity;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.page.PageAttribute;

import java.util.List;

/**
 * NiFi 日志事件表，按天拆分(logging_event_20250430: table)表数据库访问层
 *
 * @author xiang2lin
 * @since 2025-05-20 09:37:43
 */
public interface ILoggingEvent20250430Dao extends IBaseDao<LoggingEvent20250430Entity, String> {
    /**
     * 根据指定的处理器id分页查询日志
     *
     * @author liuyang
     */
    PageInfo<LoggingEvent20250430Entity> queryLoggingEventByProcessorId(LoggingEvent20250430Entity loggingEvent20250430Entity) throws Exception;
}