package com.hzya.frame.nifiapi.model.basemodel;

import com.hzya.frame.nifiapi.model.joincreparamcontext.CreateParamContextJoin;
import com.hzya.frame.nifiapi.model.joinfindneedmodifycontroller.FindNeedModifyController;
import lombok.Data;

/**
 * 基类封转创建应用操作公共的字段
 *
 * @Author：liuyang
 * @Package：com.hzya.frame.nifiapi.model.joincreateoracleapp
 * @Project：fw-nifi
 * @name：CreateOracleApp
 * @Date：2025/5/21 17:44
 * @Filename：CreateOracleApp
 */
@Data
public class JoinBashModel {
    //实例化
    private String appProcessGroupId;
    private String parentProcessGroupId;
    private String copyTargetProcessGroupId;
//    private String copyTargetParentProcessGroupId;

    //上下文
    private CreateParamContextJoin createParamContextJoin;

    //控制器
    private FindNeedModifyController findNeedModifyController;
}
