package com.hzya.frame.nifiapi.model.resultNeedModifyController;

import com.hzya.frame.nifiapi.model.processgroupid.InputPorts;
import com.hzya.frame.nifiapi.model.processgroupid.OutputPorts;
import lombok.Data;

import java.util.List;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.nifiapi.model.resultNeedModifyController
 * @Project：fw-nifi
 * @name：PortFilterResult
 * @Date：2025/5/23 14:51
 * @Filename：PortFilterResult
 */
@Data
public class PortFilterResult {
    private List<InputPorts> inputPorts;
    private List<OutputPorts> outputPorts;

    public PortFilterResult() {
    }

    public PortFilterResult(List<InputPorts> inputPorts, List<OutputPorts> outputPorts) {
        this.inputPorts = inputPorts;
        this.outputPorts = outputPorts;
    }
}
